For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
      • GETGet all Companies
      • POSTCreate a company
      • GETGet a company
      • DELDelete a company
      • PATCHUpdate a company
      • POSTCreate a company/deal attribute
      • GETGet company attributes
      • PATCHLink and Unlink company with contact and deal
      • POSTImport companies(creation and updation)
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Sales CRMCompanies

Get company attributes

GET
https://api.brevo.com/v3/crm/attributes/companies
GET
/v3/crm/attributes/companies
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.companies.getCompanyAttributes();
8}
9main();
1[
2 {
3 "internalName": "name",
4 "attributeTypeName": "text",
5 "label": "Company Name",
6 "attributeOptions": [
7 {
8 "key": "custom key",
9 "value": "custom label"
10 }
11 ],
12 "isRequired": true,
13 "isValueReadonly": false
14 }
15]

Retrieve the list of all attributes defined for companies, including both system-default and custom attributes. Each attribute includes its label, internal name, type, required status, and available options for select-type attributes.

Was this page helpful?
Previous

Link and Unlink company with contact and deal

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Response

Returns list of company attributes
internalNamestring
Internal name of the attribute
attributeTypeNamestring
Type of the attribute
labelstring
Display label of the attribute
attributeOptionslist of objects

Options for single-select or multi-choice attributes

isRequiredboolean
Whether this attribute is required
isValueReadonlyboolean

Whether this attribute value is read-only

Errors

400
Bad Request Error